:root {
  --color-primary:       #9db17e;
  --color-secondary:     #FFFCEB;
  --color-accent:        #fed612;
  --color-neutral:       #ECEFE6;

  --color-primary--transparent:   rgba(157, 177, 126, 0.4);
  --color-secondary--transparent: rgba(245, 247, 242, 0.4);
  --color-neutral--transparent:   rgba(249, 246, 238, 0.8);

  --color-text:          #000;
  --color-text--alt:     #6c757d;
  --color-text--inv:     #fff;
  --color-text--primary: #768C54;
  --color-background:    #fff;
  --color-overlay:       #00000040;
  --color-disabled:      #999;

  --font-family-sans:   'Nunito', -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Helvetica, Arial, sans-serif, 'Apple Color Emoji', 'Segoe UI Emoji', 'Segoe UI Symbol';
  --font-family-script: var(--font-family-sans);
  
  --font-size-3xs: calc( 0.8 * clamp(0.7901rem, 0.7512rem + 0.1299vw, 0.8681rem) );
  --font-size-2xs: clamp(0.7901rem, 0.7512rem + 0.1299vw, 0.8681rem);
  --font-size-xs:  clamp(0.8889rem, 0.8125rem + 0.2546vw, 1.0417rem);

  --font-size:     calc( 0.9 * clamp(1rem, 0.875rem + 0.4167vw, 1.25rem) );

  --font-size-h4:  clamp(1.25rem, 1.0938rem + 0.5208vw, 1.5625rem);
  --font-size-h3:  clamp(1.5625rem, 1.3672rem + 0.651vw, 1.9531rem);
  --font-size-h2:  clamp(1.9531rem, 1.709rem + 0.8138vw, 2.4414rem);
  --font-size-h1:  clamp(2.4414rem, 2.1362rem + 1.0173vw, 3.0518rem);

  --line-height-s: 1;
  --line-height-m: 1.25;
  --line-height-l: 1.5;

  --space-3xs:  clamp(0.25rem, 0.1607rem + 0.4464vw, 0.5625rem);
  --space-2xs:  clamp(0.4375rem, 0.3125rem + 0.625vw, 0.875rem);
  --space-xs:   clamp(0.6875rem, 0.5625rem + 0.625vw, 1.125rem);
  --space-s:    clamp(0.875rem, 0.6429rem + 1.1607vw, 1.6875rem);
  --space-m:    clamp(1.3125rem, 1.0446rem + 1.3393vw, 2.25rem);
  --space-l:    clamp(1.75rem, 1.2857rem + 2.3214vw, 3.375rem);
  --space-xl:   clamp(2.625rem, 2.0893rem + 2.6786vw, 4.5rem);
  --space-2xl:  clamp(3.5rem, 2.5714rem + 4.6429vw, 6.75rem);

  --space-td: calc(var(--space-3xs) / 2) 0;
  
  --border:                 solid 0.0625rem;
  --border--dotted:         dotted 0.125rem;
  --border-radius:          2rem;
  --border-radius--blob-1:  51% 49% 70% 30% / 40% 46% 54% 60%;
  --border-radius--blob-2:  36% 64% 64% 36% / 64% 48% 52% 36%;
  --border-radius--blob-3:  43% 57% 65% 35% / 41% 61% 39% 59%;

  --transition:       all 0.2s ease-out;
  --transition-zoom:  all 0.5s ease-out;

  --animation-fadeIn:  fadeIn 0.5s linear;
  --animation-fadeOut: fadeOut 0.5s linear;
}

*, 
*::before, 
*::after {
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
}

* {
  background: none no-repeat scroll 0 0 transparent;
  background-position: center center;
  border: none;
  border-spacing: 0;
  font-family: var(--font-family-sans);
  font-size: var(--font-size);
  font-weight: normal;
  -webkit-font-smoothing: antialiased;
  -webkit-font-smoothing: antialiased;
  /*-webkit-hyphens: auto;
  -ms-hyphens: auto;
  hyphens: auto;*/
  list-style: none outside none;
  margin: 0;
  overflow-wrap: break-word;
  padding: 0;
  position: relative;
  text-decoration: none;
  text-indent: 0;
  position: relative;
}

:root.ac-colors {
  --color-primary:       #fff;
  --color-secondary:     #000;
  --color-accent:        #000; 
  --color-neutral:       #000;

  --color-gradient-background: #000;
  --color-gradient:            #000;
  
  --color-text:          #fff;
  --color-text--alt:     #fff;
  --color-text--inv:     #000;
  --color-text--primary: #fff;
  --color-background:    #000;
  --color-overlay:         transparent;
  --color-disabled:      #999;
}

:root.ac-font-size {
  --font-size-3xs: clamp( 0.7901rem, 0.7512rem + 0.1299vw, 0.8681rem );
  --font-size-2xs: calc( 1.3 * clamp(0.7901rem, 0.7512rem + 0.1299vw, 0.8681rem));
  --font-size-xs:  calc( 1.3 * clamp(0.8889rem, 0.8125rem + 0.2546vw, 1.0417rem));

  --font-size:     calc( 1.3 * calc( 0.9 * clamp(1rem, 0.875rem + 0.4167vw, 1.25rem)));

  --font-size-h4:  calc( 1.3 * clamp(1.25rem, 1.0938rem + 0.5208vw, 1.5625rem));
  --font-size-h3:  calc( 1.3 * clamp(1.5625rem, 1.3672rem + 0.651vw, 1.9531rem));
  --font-size-h2:  calc( 1.3 * clamp(1.9531rem, 1.709rem + 0.8138vw, 2.4414rem));
  --font-size-h1:  calc( 1.3 * clamp(2.4414rem, 2.1362rem + 1.0173vw, 3.0518rem));
}